<?xml version="1.0" encoding="UTF-8"?>

<xsl:stylesheet version="1.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:output method="html"
            version="4.0"
            encoding="utf-8"
            doctype-public="-//W3C//DTD HTML 4.0 Transitional//EN"
            indent="no"/>


<xsl:param name="cssBase" select="'/public/styles/'"/>
<xsl:param name="cssFiles" select="'xforms'"/>

<xsl:param name="cssBase2" select="'/public/scripts/ajaxcalendar/'"/>
<xsl:param name="cssFiles2" select="'ajaxforms'"/>


    <!-- ######################################################################################################## -->
    <!-- Transforms one html to another html with added links to css in head tag.																	-->
    <!-- Param "cssFiles" contains names(comma separated) of css files for which links should be added.						-->
    <!-- ######################################################################################################## -->

    <xsl:template match="*">
				<xsl:copy-of select="."/>
	  </xsl:template>

<!-- html -->
    <xsl:template match="html|Html|HTML">

        <html>
            	<xsl:apply-templates/>
        </html>
    </xsl:template>


<!-- head -->
    <xsl:template match="head|Head|HEAD">

			<head>
        <xsl:copy-of select="@*"/>
        	
    		<xsl:apply-templates/>
 
						<xsl:call-template name="cssLinks">
							<xsl:with-param name="cssList" select="$cssFiles"/>
						</xsl:call-template>		

						<xsl:call-template name="cssLinks2">
							<xsl:with-param name="cssList2" select="$cssFiles2"/>
						</xsl:call-template>		

			</head>

		
		</xsl:template>

			
<!-- css links -->
		<xsl:template name="cssLinks">
				<xsl:param name="cssList"/>
				
				<xsl:choose>
					
					<xsl:when test="contains($cssList,',')">
							<xsl:variable name="cssName" select="substring-before($cssList,',')"/>
	
							<xsl:element name="link">
							 	<xsl:attribute name="href"><xsl:value-of select="$cssBase"/><xsl:value-of select="$cssName"/>.css</xsl:attribute>
							 	<xsl:attribute name="rel">stylesheet</xsl:attribute>
							 	<xsl:attribute name="type">text/css</xsl:attribute>
							</xsl:element>
	
							<xsl:call-template name="cssLinks">
		              <xsl:with-param name="cssList" select="substring-after($cssList,',')" />
							</xsl:call-template>
											
					</xsl:when>
					
					<xsl:otherwise>
						<xsl:if test="$cssList != ''">
							<xsl:element name="link">
							 	<xsl:attribute name="href"><xsl:value-of select="$cssBase"/><xsl:value-of select="$cssList"/>.css</xsl:attribute>
							 	<xsl:attribute name="rel">stylesheet</xsl:attribute>
							 	<xsl:attribute name="type">text/css</xsl:attribute>
							</xsl:element>
							
						</xsl:if>
					</xsl:otherwise>
				</xsl:choose>
		</xsl:template>

<!-- css links2 -->
		<xsl:template name="cssLinks2">
				<xsl:param name="cssList2"/>
				
				<xsl:choose>
					
					<xsl:when test="contains($cssList2,',')">
							<xsl:variable name="cssName2" select="substring-before($cssList2,',')"/>
	
							<xsl:element name="link">
							 	<xsl:attribute name="href"><xsl:value-of select="$cssBase2"/><xsl:value-of select="$cssName2"/>.css</xsl:attribute>
							 	<xsl:attribute name="rel">stylesheet</xsl:attribute>
							 	<xsl:attribute name="type">text/css</xsl:attribute>
							</xsl:element>
	
							<xsl:call-template name="cssLinks2">
		              <xsl:with-param name="cssList2" select="substring-after($cssList2,',')" />
							</xsl:call-template>
											
					</xsl:when>
					
					<xsl:otherwise>
						<xsl:if test="$cssList2 != ''">
							<xsl:element name="link">
							 	<xsl:attribute name="href"><xsl:value-of select="$cssBase2"/><xsl:value-of select="$cssList2"/>.css</xsl:attribute>
							 	<xsl:attribute name="rel">stylesheet</xsl:attribute>
							 	<xsl:attribute name="type">text/css</xsl:attribute>
							</xsl:element>
							
						</xsl:if>
					</xsl:otherwise>
				</xsl:choose>
		</xsl:template>
		
</xsl:stylesheet>

