Create table SHKProcessDefinitions
(
Name  VARCHAR (200)  NOT NULL     ,
PackageId  VARCHAR (90)  NOT NULL     ,
ProcessDefinitionId  VARCHAR (90)  NOT NULL     ,
ProcessDefinitionName  VARCHAR (90)     ,
ProcessDefinitionCreated  BIGINT NOT NULL     ,
ProcessDefinitionVersion  VARCHAR (20)  NOT NULL     ,
State  INTEGER NOT NULL     ,
oid  DECIMAL (19,0)  NOT NULL     ,
version  INTEGER NOT NULL     
);



Create table SHKProcesses
(
SyncVersion  BIGINT NOT NULL     ,
Id  VARCHAR (100)  NOT NULL     ,
ProcessDefinition  DECIMAL (19,0)  NOT NULL    ,
PDefName  VARCHAR (200)  NOT NULL     ,
ActivityRequesterId  VARCHAR (100)     ,
ActivityRequesterProcessId  VARCHAR (100)     ,
ResourceRequesterId  VARCHAR (100)  NOT NULL     ,
ExternalRequesterClassName  VARCHAR (254)     ,
State  DECIMAL (19,0)  NOT NULL    ,
Priority  INTEGER    ,
Name  VARCHAR (254)     ,
Created  BIGINT NOT NULL     ,
CreatedTZO  BIGINT NOT NULL     ,
Started  BIGINT    ,
StartedTZO  BIGINT    ,
LastStateTime  BIGINT NOT NULL     ,
LastStateTimeTZO  BIGINT NOT NULL     ,
LimitTime  BIGINT NOT NULL     ,
LimitTimeTZO  BIGINT NOT NULL     ,
Description  VARCHAR (254)     ,
oid  DECIMAL (19,0)  NOT NULL     ,
version  INTEGER NOT NULL     
);



Create table SHKProcessRequesters
(
Id  VARCHAR (100)  NOT NULL     ,
ActivityRequester  DECIMAL (19,0)     ,
ResourceRequester  DECIMAL (19,0)     ,
oid  DECIMAL (19,0)  NOT NULL     ,
version  INTEGER NOT NULL     
);



Create table SHKActivities
(
Id  VARCHAR (100)  NOT NULL     ,
ActivitySetDefinitionId  VARCHAR (90)     ,
ActivityDefinitionId  VARCHAR (90)  NOT NULL     ,
Process  DECIMAL (19,0)  NOT NULL    ,
TheResource  DECIMAL (19,0)     ,
PDefName  VARCHAR (200)  NOT NULL     ,
ProcessId  VARCHAR (200)  NOT NULL     ,
ResourceId  VARCHAR (100)     ,
State  DECIMAL (19,0)  NOT NULL    ,
BlockActivityId  VARCHAR (100)     ,
Performer  VARCHAR (100)     ,
IsPerformerAsynchronous  SMALLINT    ,
Priority  INTEGER    ,
Name  VARCHAR (254)     ,
Activated  BIGINT NOT NULL     ,
ActivatedTZO  BIGINT NOT NULL     ,
Accepted  BIGINT    ,
AcceptedTZO  BIGINT    ,
LastStateTime  BIGINT NOT NULL     ,
LastStateTimeTZO  BIGINT NOT NULL     ,
LimitTime  BIGINT NOT NULL     ,
LimitTimeTZO  BIGINT NOT NULL     ,
Description  VARCHAR (254)     ,
oid  DECIMAL (19,0)  NOT NULL     ,
version  INTEGER NOT NULL     
);



Create table SHKResourcesTable
(
Username  VARCHAR (100)  NOT NULL     ,
Name  VARCHAR (100)     ,
oid  DECIMAL (19,0)  NOT NULL     ,
version  INTEGER NOT NULL     
);



Create table SHKAssignmentsTable
(
Activity  DECIMAL (19,0)  NOT NULL    ,
TheResource  DECIMAL (19,0)  NOT NULL    ,
ActivityId  VARCHAR (100)  NOT NULL     ,
ActivityProcessId  VARCHAR (100)  NOT NULL     ,
ActivityProcessDefName  VARCHAR (200)  NOT NULL     ,
ResourceId  VARCHAR (100)  NOT NULL     ,
IsAccepted  SMALLINT NOT NULL     ,
IsValid  SMALLINT NOT NULL     ,
CNT  DECIMAL (19,0)  NOT NULL     ,
oid  DECIMAL (19,0)  NOT NULL     ,
version  INTEGER NOT NULL     
);



Create table SHKProcessData
(
Process  DECIMAL (19,0)  NOT NULL    ,
VariableDefinitionId  VARCHAR (100)  NOT NULL     ,
VariableType  INTEGER NOT NULL     ,
VariableValue  BLOB    ,
VariableValueXML  LONG VARCHAR    ,
VariableValueVCHAR  VARCHAR (3000)     ,
VariableValueDBL  DOUBLE    ,
VariableValueLONG  BIGINT    ,
VariableValueDATE  TIMESTAMP    ,
VariableValueBOOL  SMALLINT    ,
OrdNo  INTEGER NOT NULL     ,
CNT  DECIMAL (19,0)  NOT NULL     ,
oid  DECIMAL (19,0)  NOT NULL     ,
version  INTEGER NOT NULL     
);



Create table SHKProcessDataWOB
(
Process  DECIMAL (19,0)  NOT NULL    ,
VariableDefinitionId  VARCHAR (100)  NOT NULL     ,
VariableType  INTEGER NOT NULL     ,
VariableValueXML  LONG VARCHAR    ,
VariableValueVCHAR  VARCHAR (3000)     ,
VariableValueDBL  DOUBLE    ,
VariableValueLONG  BIGINT    ,
VariableValueDATE  TIMESTAMP    ,
VariableValueBOOL  SMALLINT    ,
OrdNo  INTEGER NOT NULL     ,
CNT  DECIMAL (19,0)  NOT NULL     ,
oid  DECIMAL (19,0)  NOT NULL     ,
version  INTEGER NOT NULL     
);



Create table SHKProcessDataBLOBs
(
ProcessDataWOB  DECIMAL (19,0)  NOT NULL    ,
VariableValue  BLOB    ,
OrdNo  INTEGER NOT NULL     ,
oid  DECIMAL (19,0)  NOT NULL     ,
version  INTEGER NOT NULL     
);



Create table SHKActivityData
(
Activity  DECIMAL (19,0)  NOT NULL    ,
VariableDefinitionId  VARCHAR (100)  NOT NULL     ,
VariableType  INTEGER NOT NULL     ,
VariableValue  BLOB    ,
VariableValueXML  LONG VARCHAR    ,
VariableValueVCHAR  VARCHAR (3000)     ,
VariableValueDBL  DOUBLE    ,
VariableValueLONG  BIGINT    ,
VariableValueDATE  TIMESTAMP    ,
VariableValueBOOL  SMALLINT    ,
IsResult  SMALLINT NOT NULL     ,
OrdNo  INTEGER NOT NULL     ,
CNT  DECIMAL (19,0)  NOT NULL     ,
oid  DECIMAL (19,0)  NOT NULL     ,
version  INTEGER NOT NULL     
);



Create table SHKActivityDataWOB
(
Activity  DECIMAL (19,0)  NOT NULL    ,
VariableDefinitionId  VARCHAR (100)  NOT NULL     ,
VariableType  INTEGER NOT NULL     ,
VariableValueXML  LONG VARCHAR    ,
VariableValueVCHAR  VARCHAR (3000)     ,
VariableValueDBL  DOUBLE    ,
VariableValueLONG  BIGINT    ,
VariableValueDATE  TIMESTAMP    ,
VariableValueBOOL  SMALLINT    ,
IsResult  SMALLINT NOT NULL     ,
OrdNo  INTEGER NOT NULL     ,
CNT  DECIMAL (19,0)  NOT NULL     ,
oid  DECIMAL (19,0)  NOT NULL     ,
version  INTEGER NOT NULL     
);



Create table SHKActivityDataBLOBs
(
ActivityDataWOB  DECIMAL (19,0)  NOT NULL    ,
VariableValue  BLOB    ,
OrdNo  INTEGER NOT NULL     ,
oid  DECIMAL (19,0)  NOT NULL     ,
version  INTEGER NOT NULL     
);



Create table SHKAndJoinTable
(
Process  DECIMAL (19,0)  NOT NULL    ,
BlockActivity  DECIMAL (19,0)     ,
ActivityDefinitionId  VARCHAR (90)  NOT NULL     ,
Activity  DECIMAL (19,0)  NOT NULL    ,
CNT  DECIMAL (19,0)  NOT NULL     ,
oid  DECIMAL (19,0)  NOT NULL     ,
version  INTEGER NOT NULL     
);



Create table SHKDeadlines
(
Process  DECIMAL (19,0)  NOT NULL    ,
Activity  DECIMAL (19,0)  NOT NULL    ,
CNT  DECIMAL (19,0)  NOT NULL     ,
TimeLimit  BIGINT NOT NULL     ,
TimeLimitTZO  BIGINT NOT NULL     ,
ExceptionName  VARCHAR (100)  NOT NULL     ,
IsSynchronous  SMALLINT NOT NULL     ,
IsExecuted  SMALLINT NOT NULL     ,
oid  DECIMAL (19,0)  NOT NULL     ,
version  INTEGER NOT NULL     
);



Create table SHKProcessStates
(
KeyValue  VARCHAR (30)  NOT NULL     ,
Name  VARCHAR (50)  NOT NULL     ,
oid  DECIMAL (19,0)  NOT NULL     ,
version  INTEGER NOT NULL     
);



Create table SHKActivityStates
(
KeyValue  VARCHAR (30)  NOT NULL     ,
Name  VARCHAR (50)  NOT NULL     ,
oid  DECIMAL (19,0)  NOT NULL     ,
version  INTEGER NOT NULL     
);



